Loading...
Searching...
No Matches
fir_filter.h File Reference
`#include <gnuradio/filter/api.h>`
`#include <gnuradio/gr_complex.h>`
`#include <volk/volk_alloc.hh>`
`#include <cstdint>`
`#include <vector>`
Include dependency graph for fir_filter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::filter
namespace | gr::filter::kernel

## Typedefs

typedef fir_filter< float, float, float > | gr::filter::kernel::fir_filter_fff
typedef fir_filter< gr_complex, gr_complex, float > | gr::filter::kernel::fir_filter_ccf
typedef fir_filter< float, gr_complex, gr_complex > | gr::filter::kernel::fir_filter_fcc
typedef fir_filter< gr_complex, gr_complex, gr_complex > | gr::filter::kernel::fir_filter_ccc
typedef fir_filter< std::int16_t, gr_complex, gr_complex > | gr::filter::kernel::fir_filter_scc
typedef fir_filter< float, std::int16_t, float > | gr::filter::kernel::fir_filter_fsf